FFU : Upgrading the compute node with different composable role

Solution In Progress - Updated -

Issue

If someone is using composable role of different name and upgrading the compute nodes by passing "openstack overcloud upgrade run --nodes Compute --skip-tags validation" then same will fail with below error:

2019-01-09 05:06:56,970 p=10315 u=mistral |  Using /tmp/ansible-mistral-action5bz5ov/ansible.cfg as config file
2019-01-09 05:06:57,158 p=10315 u=mistral |   [WARNING]: Could not match supplied host pattern, ignoring: Compute

2019-01-09 05:06:57,158 p=10315 u=mistral |  ERROR! Specified hosts and/or --limit does not match any hosts

Environment

OSP 10.0
OSP 13.0
OSP - Fast Forward Upgrade

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In